Package tigase.util.processing

## Class ProcessingThreads<E extends WorkerThread>

- java.lang.Object
- - tigase.util.processing.ProcessingThreads<E>

-     public class ProcessingThreads<E extends WorkerThread>
      extends java.lang.Object

  Created: Apr 21, 2009 8:50:50 PM
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessingThreads​(E worker, int numWorkerThreads, int maxQueueSize, java.lang.String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `addItem​(XMPPProcessorIfc processor, Packet packet, XMPPResourceConnection conn)` |
    `long` | `getAverageProcessingTime()` |
    `long` | `getDroppedPackets()` |
    `java.lang.String` | `getName()` |
    `int` | `getTotalQueueSize()` |
    `int` | `getTotalRuns()` |
    `void` | `shutdown()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessingThreads

          public ProcessingThreads​(E worker,
                                   int numWorkerThreads,
                                   int maxQueueSize,
                                   java.lang.String name)
                            throws java.lang.ClassNotFoundException,
                                   java.lang.InstantiationException,
                                   java.lang.IllegalAccessException

      Throws:
        `java.lang.ClassNotFoundException`
        `java.lang.InstantiationException`
        `java.lang.IllegalAccessException`

  - ### Method Detail

    - #### addItem

          public boolean addItem​(XMPPProcessorIfc processor,
                                 Packet packet,
                                 XMPPResourceConnection conn)

    - #### getAverageProcessingTime

          public long getAverageProcessingTime()

    - #### getDroppedPackets

          public long getDroppedPackets()

    - #### getName

          public java.lang.String getName()

    - #### getTotalQueueSize

          public int getTotalQueueSize()

    - #### getTotalRuns

          public int getTotalRuns()

    - #### shutdown

          public void shutdown()